กระดานข่าวความปลอดภัยของ Android—สิงหาคม 2019

Published สิงหาคม 5, 2019 | อัปเดตเมื่อ 12 สิงหาคม 2019

กระดานข่าวความปลอดภัยของ Android มีรายละเอียดของช่องโหว่ด้านความปลอดภัยที่ส่งผลต่ออุปกรณ์ Android ระดับแพตช์ความปลอดภัย 2019-08-05 หรือใหม่กว่า แก้ไขปัญหาเหล่านี้ทั้งหมด หากต้องการเรียนรู้วิธีตรวจสอบระดับแพตช์ความปลอดภัยของอุปกรณ์ โปรดดูที่ ตรวจสอบและอัปเดตเวอร์ชัน Android ของคุณ

พันธมิตร Android จะได้รับแจ้งปัญหาทั้งหมดอย่างน้อยหนึ่งเดือนก่อนเผยแพร่ แพทช์ซอร์สโค้ดสำหรับปัญหาเหล่านี้ได้รับการเผยแพร่ไปยังที่เก็บ Android Open Source Project (AOSP) และเชื่อมโยงจากกระดานข่าวสารนี้ กระดานข่าวนี้ยังรวมถึงลิงก์ไปยังโปรแกรมแก้ไขภายนอก AOSP

ปัญหาที่ร้ายแรงที่สุดคือช่องโหว่ด้านความปลอดภัยที่สำคัญในองค์ประกอบของระบบ ซึ่งสามารถเปิดใช้งานผู้โจมตีจากระยะไกลโดยใช้ไฟล์ PAC ที่ออกแบบมาเป็นพิเศษเพื่อรันโค้ดโดยอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ การ ประเมินความรุนแรง ขึ้นอยู่กับผลกระทบจากการใช้ประโยชน์จากช่องโหว่ที่อาจจะเกิดขึ้นกับอุปกรณ์ที่ได้รับผลกระทบ โดยถือว่าปิดการบรรเทาแพลตฟอร์มและการบริการเพื่อวัตถุประสงค์ในการพัฒนาหรือหากเลี่ยงผ่านได้สำเร็จ

เราไม่มีรายงานเกี่ยวกับการแสวงประโยชน์จากลูกค้าที่ใช้งานอยู่หรือการละเมิดปัญหาที่รายงานใหม่เหล่านี้ อ้างถึงส่วนการ บรรเทาปัญหา Android และ Google Play Protect สำหรับรายละเอียดเกี่ยวกับการ ป้องกันแพลตฟอร์มความปลอดภัยของ Android และ Google Play Protect ซึ่งปรับปรุงความปลอดภัยของแพลตฟอร์ม Android

หมายเหตุ: ข้อมูลเกี่ยวกับการอัปเดตแบบ over-the-air ล่าสุด (OTA) และอิมเมจเฟิร์มแวร์สำหรับอุปกรณ์ Google มีให้ใน เดือนสิงหาคม 2019 Pixel Update Bulletin

การลดการบริการของ Android และ Google

นี่คือบทสรุปของการบรรเทาผลกระทบจาก แพลตฟอร์มความปลอดภัยของ Android และการปกป้องบริการ เช่น Google Play Protect ความสามารถเหล่านี้ลดโอกาสที่ช่องโหว่ด้านความปลอดภัยจะถูกโจมตีบน Android ได้สำเร็จ

  • การใช้ประโยชน์จากปัญหามากมายบน Android ทำได้ยากขึ้นด้วยการปรับปรุงในแพลตฟอร์ม Android เวอร์ชันใหม่กว่า เราสนับสนุนให้ผู้ใช้ทุกคนอัปเดตเป็น Android เวอร์ชันล่าสุดหากเป็นไปได้
  • ทีมรักษาความปลอดภัยของ Android ตรวจสอบการละเมิดผ่าน Google Play Protect และเตือนผู้ใช้เกี่ยวกับ แอปพลิเคชันที่อาจเป็นอันตราย Google Play Protect เปิดใช้งานโดยค่าเริ่มต้นในอุปกรณ์ที่มี Google Mobile Services และมีความสำคัญเป็นพิเศษสำหรับผู้ใช้ที่ติดตั้งแอปจากภายนอก Google Play

2019-08-01 รายละเอียดช่องโหว่ระดับแพตช์ความปลอดภัย

ในส่วนด้านล่าง เราได้ให้รายละเอียดเกี่ยวกับช่องโหว่ด้านความปลอดภัยแต่ละรายการที่ใช้กับระดับแพตช์ 2019-08-01 ช่องโหว่จะถูกจัดกลุ่มตามองค์ประกอบที่ได้รับผลกระทบ มีคำอธิบายของปัญหาและตารางที่มี CVE ข้อมูลอ้างอิงที่เกี่ยวข้อง ประเภทของช่องโหว่ ความรุนแรง และเวอร์ชัน AOSP ที่อัปเดต (หากมี) หากมี เราจะเชื่อมโยงการเปลี่ยนแปลงสาธารณะที่แก้ไขปัญหากับรหัสจุดบกพร่อง เช่น รายการการเปลี่ยนแปลง AOSP เมื่อการเปลี่ยนแปลงหลายรายการเกี่ยวข้องกับจุดบกพร่องเดียว การอ้างอิงเพิ่มเติมจะเชื่อมโยงกับหมายเลขตาม ID จุดบกพร่อง

รันไทม์ของ Android

ช่องโหว่ในส่วนนี้อาจทำให้ผู้โจมตีในพื้นที่สามารถข้ามข้อกำหนดการโต้ตอบของผู้ใช้เพื่อเข้าถึงการอนุญาตเพิ่มเติมได้

CVE อ้างอิง พิมพ์ ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2120 A-130821293 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

กรอบ

ช่องโหว่ที่ร้ายแรงที่สุดในส่วนนี้อาจเปิดใช้งานแอปพลิเคชันที่เป็นอันตรายในพื้นที่เพื่อรันโค้ดโดยอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง พิมพ์ ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2121 A-131105245 EoP สูง 9
CVE-2019-2122 A-127605586 [ 2 ] [ 3 ] EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2125 A-132275252 EoP ปานกลาง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

กรอบสื่อ

ช่องโหว่ที่ร้ายแรงที่สุดในส่วนนี้อาจทำให้ผู้โจมตีจากระยะไกลใช้ไฟล์ที่ออกแบบมาเป็นพิเศษเพื่อรันโค้ดโดยอำเภอใจภายในบริบทของกระบวนการที่ไม่มีสิทธิพิเศษ

CVE อ้างอิง พิมพ์ ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2126 A-127702368 [ 2 ] RCE สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2128 A-132647222 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2129 A-124781927 ไอดี สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

ระบบ

ช่องโหว่ที่ร้ายแรงที่สุดในส่วนนี้อาจเปิดใช้งานผู้โจมตีระยะไกลโดยใช้ไฟล์ PAC ที่ออกแบบมาเป็นพิเศษเพื่อรันโค้ดโดยอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง พิมพ์ ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2130 A-132073833 RCE วิกฤต 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2131 A-119115683 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2132 A-130568701 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2133 A-132082342 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2134 A-132083376 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2135 A-125900276 ไอดี สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2136 A-132650049 [ 2 ] [ 3 ] [ 4 ] ไอดี สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9
CVE-2019-2137 A-132438333 [ 2 ] DoS สูง 9

2019-08-05 รายละเอียดช่องโหว่ระดับแพตช์ความปลอดภัย

ในส่วนด้านล่าง เราได้ให้รายละเอียดเกี่ยวกับช่องโหว่ด้านความปลอดภัยแต่ละรายการที่ใช้กับระดับแพตช์ 2019-08-05 ช่องโหว่ต่างๆ จะถูกจัดกลุ่มตามองค์ประกอบที่ได้รับผลกระทบ และรวมถึงรายละเอียดต่างๆ เช่น CVE ข้อมูลอ้างอิงที่เกี่ยวข้อง ประเภทของช่องโหว่ ความรุนแรง ส่วนประกอบ (หากมี) และเวอร์ชัน AOSP ที่อัปเดต (หากมี) หากมี เราจะเชื่อมโยงการเปลี่ยนแปลงสาธารณะที่แก้ไขปัญหากับรหัสจุดบกพร่อง เช่น รายการการเปลี่ยนแปลง AOSP เมื่อการเปลี่ยนแปลงหลายรายการเกี่ยวข้องกับจุดบกพร่องเดียว การอ้างอิงเพิ่มเติมจะเชื่อมโยงกับหมายเลขตาม ID จุดบกพร่อง

กรอบสื่อ

ช่องโหว่ในส่วนนี้อาจทำให้ผู้โจมตีในพื้นที่สามารถรันโค้ดโดยอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง พิมพ์ ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-2127 A-124899895 EoP สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

ระบบ

ช่องโหว่ในส่วนนี้อาจทำให้ผู้โจมตีใกล้เคียงสามารถเข้าถึงหรือแก้ไขข้อมูลได้

CVE อ้างอิง พิมพ์ ความรุนแรง อัปเดตเวอร์ชัน AOSP
CVE-2019-9506 A-124301137 [ 2 ] ไอดี สูง 7.0, 7.1.1, 7.1.2, 8.0, 8.1, 9

ส่วนประกอบ Broadcom

ช่องโหว่ในส่วนนี้อาจเปิดใช้งานผู้โจมตีระยะไกลโดยใช้การส่งสัญญาณที่สร้างขึ้นเป็นพิเศษเพื่อรันโค้ดโดยอำเภอใจภายในบริบทของกระบวนการที่มีสิทธิพิเศษ

CVE อ้างอิง พิมพ์ ความรุนแรง ส่วนประกอบ
CVE-2019-11516 A-132966035 * RCE วิกฤต บลูทู ธ

ส่วนประกอบ Qualcomm

ช่องโหว่เหล่านี้ส่งผลต่อส่วนประกอบของ Qualcomm และมีการอธิบายรายละเอียดเพิ่มเติมในกระดานข่าวความปลอดภัยของ Qualcomm หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง พิมพ์ ความรุนแรง ส่วนประกอบ
CVE-2019-10492 A-132170519
QC-CR#2389432
ไม่มี วิกฤต HLOS
CVE-2019-10509 A-132171185
QC-CR#2359039
ไม่มี สูง BTHOST
CVE-2019-10510 A-132173563
QC-CR#2305025
ไม่มี สูง BTHOST
CVE-2019-10499 A-134440231
QC-CR#2398099
ไม่มี สูง MProc
CVE-2019-10538 A-132193791
QC-CR#2448763
ไม่มี สูง WLAN

ส่วนประกอบโอเพ่นซอร์สของ Qualcomm

ช่องโหว่เหล่านี้ส่งผลกระทบต่อส่วนประกอบโอเพ่นซอร์สของ Qualcomm และได้อธิบายไว้ในรายละเอียดเพิ่มเติมในกระดานข่าวความปลอดภัยของ Qualcomm หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง พิมพ์ ความรุนแรง ส่วนประกอบ
CVE-2019-10539 A-135126805 * ไม่มี วิกฤต ส่วนประกอบที่ปิดแหล่งที่มา
CVE-2019-10540 A-135126805 * ไม่มี วิกฤต ส่วนประกอบที่ปิดแหล่งที่มา
CVE-2019-10489 A-132108754 * ไม่มี สูง ส่วนประกอบที่ปิดแหล่งที่มา
CVE-2019-2294 A-132108952 * ไม่มี สูง ส่วนประกอบที่ปิดแหล่งที่มา

2019-06-05 ระดับแพตช์ความปลอดภัย—อัปเดต

ในส่วนด้านล่าง เราได้ให้รายละเอียดเกี่ยวกับช่องโหว่ด้านความปลอดภัยอีกสองช่องโหว่ที่รวมอยู่ในระดับแพตช์ 2019-06-05 ประเด็นเหล่านี้ได้รับการประกาศในการประชุมด้านความปลอดภัยเมื่อเร็วๆ นี้ ซึ่งเป็นส่วนหนึ่งของการเปิดเผยข้อมูลร่วมกับฝ่ายที่ได้รับผลกระทบ

ส่วนประกอบ Qualcomm

ช่องโหว่เหล่านี้ส่งผลต่อส่วนประกอบของ Qualcomm และมีการอธิบายรายละเอียดเพิ่มเติมในกระดานข่าวความปลอดภัยของ Qualcomm หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง พิมพ์ ความรุนแรง ส่วนประกอบ
CVE-2019-2279 A-114073969
QC-CR#2345481 [ 2 ]
ไม่มี วิกฤต เฟิร์มแวร์ QC Venus

ส่วนประกอบโอเพ่นซอร์สของ Qualcomm

ช่องโหว่เหล่านี้ส่งผลกระทบต่อส่วนประกอบโอเพ่นซอร์สของ Qualcomm และได้อธิบายไว้ในรายละเอียดเพิ่มเติมในกระดานข่าวความปลอดภัยของ Qualcomm หรือการแจ้งเตือนด้านความปลอดภัย การประเมินความรุนแรงของปัญหาเหล่านี้จัดทำโดย Qualcomm โดยตรง

CVE อ้างอิง พิมพ์ ความรุนแรง ส่วนประกอบ
CVE-2019-2252 A-114235025 * ไม่มี วิกฤต ส่วนประกอบที่ปิดแหล่งที่มา

คำถามและคำตอบทั่วไป

ส่วนนี้จะตอบคำถามทั่วไปที่อาจเกิดขึ้นหลังจากอ่านกระดานข่าวนี้

1. ฉันจะทราบได้อย่างไรว่าอุปกรณ์ของฉันได้รับการอัปเดตเพื่อแก้ไขปัญหาเหล่านี้หรือไม่

หากต้องการเรียนรู้วิธีตรวจสอบระดับแพตช์ความปลอดภัยของอุปกรณ์ โปรดดูที่ ตรวจสอบและอัปเดตเวอร์ชัน Android ของคุณ

  • ระดับแพตช์ความปลอดภัย 2019-08-01 หรือใหม่กว่า แก้ไขปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัย 2019-08-01
  • ระดับแพตช์ความปลอดภัย 2019-08-05 หรือใหม่กว่า แก้ไขปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัย 2019-08-05 และระดับแพตช์ก่อนหน้าทั้งหมด

ผู้ผลิตอุปกรณ์ที่มีการอัปเดตเหล่านี้ควรตั้งค่าระดับสตริงของโปรแกรมแก้ไขเป็น:

  • [ro.build.version.security_patch]:[2019-08-01]
  • [ro.build.version.security_patch]:[2019-08-05]

2. เหตุใดกระดานข่าวนี้จึงมีแพตช์ความปลอดภัยสองระดับ

กระดานข่าวนี้มีโปรแกรมแก้ไขความปลอดภัยสองระดับ เพื่อให้พันธมิตร Android มีความยืดหยุ่นในการแก้ไขช่องโหว่บางส่วนที่คล้ายคลึงกันในอุปกรณ์ Android ทั้งหมดได้รวดเร็วยิ่งขึ้น ขอแนะนำให้พันธมิตร Android แก้ไขปัญหาทั้งหมดในกระดานข่าวนี้และใช้ระดับแพตช์ความปลอดภัยล่าสุด

  • อุปกรณ์ที่ใช้ระดับแพตช์ความปลอดภัย 2019-08-01 ต้องมีปัญหาทั้งหมดที่เกี่ยวข้องกับระดับแพตช์ความปลอดภัยนั้น เช่นเดียวกับการแก้ไขสำหรับปัญหาทั้งหมดที่รายงานในกระดานข่าวความปลอดภัยก่อนหน้า
  • อุปกรณ์ที่ใช้ระดับแพตช์ความปลอดภัย 2019-08-05 หรือใหม่กว่าจะต้องรวมโปรแกรมแก้ไขที่เกี่ยวข้องทั้งหมดในกระดานข่าวความปลอดภัยนี้ (และก่อนหน้า)

พันธมิตรควรรวมกลุ่มการแก้ไขสำหรับปัญหาทั้งหมดที่พวกเขากำลังแก้ไขในการอัปเดตครั้งเดียว

3. รายการในคอลัมน์ Type หมายถึงอะไร

รายการในคอลัมน์ Type ของตารางรายละเอียดช่องโหว่อ้างอิงการจัดประเภทของช่องโหว่ด้านความปลอดภัย

ตัวย่อ คำนิยาม
RCE การเรียกใช้โค้ดจากระยะไกล
EoP ยกระดับอภิสิทธิ์
ไอดี การเปิดเผยข้อมูล
DoS ปฏิเสธการให้บริการ
ไม่มี ไม่มีการจัดประเภท

4. รายการในคอลัมน์ อ้างอิง หมายความว่าอย่างไร

รายการภายใต้คอลัมน์ อ้างอิง ของตารางรายละเอียดช่องโหว่อาจมีคำนำหน้าที่ระบุองค์กรที่มีค่าอ้างอิงอยู่

คำนำหน้า อ้างอิง
เอ- รหัสข้อบกพร่องของ Android
QC- หมายเลขอ้างอิง Qualcomm
ม- หมายเลขอ้างอิง MediaTek
น- หมายเลขอ้างอิง NVIDIA
ข- หมายเลขอ้างอิง Broadcom

5. * ข้างรหัสจุดบกพร่องของ Android ในคอลัมน์ อ้างอิง หมายความว่าอย่างไร

ปัญหาที่ไม่เปิดเผยต่อสาธารณะจะมี * ถัดจาก ID จุดบกพร่องของ Android ในคอลัมน์ การอ้างอิง โดยทั่วไป การอัปเดตสำหรับปัญหาดังกล่าวจะอยู่ในไดรเวอร์ไบนารีล่าสุดสำหรับอุปกรณ์ Pixel ที่มีให้จาก ไซต์ Google Developer

6. เหตุใดช่องโหว่ด้านความปลอดภัยจึงถูกแบ่งระหว่างกระดานข่าวนี้และอุปกรณ์ / คู่ค้าด้านความปลอดภัยเช่นกระดานข่าว Pixel

ช่องโหว่ด้านความปลอดภัยที่บันทึกไว้ในกระดานข่าวความปลอดภัยนี้จำเป็นต้องประกาศระดับแพตช์ความปลอดภัยล่าสุดบนอุปกรณ์ Android ช่องโหว่ด้านความปลอดภัยเพิ่มเติมที่บันทึกไว้ในกระดานข่าวความปลอดภัยของอุปกรณ์ / คู่ค้า ไม่จำเป็นสำหรับการประกาศระดับแพตช์ความปลอดภัย ผู้ผลิตอุปกรณ์ Android และชิปเซ็ตอาจเผยแพร่รายละเอียดช่องโหว่ด้านความปลอดภัยเฉพาะสำหรับผลิตภัณฑ์ของตน เช่น Google , Huawei , LGE , Motorola , Nokia หรือ Samsung

รุ่น

เวอร์ชั่น วันที่ หมายเหตุ
1.0 5 สิงหาคม 2019 เผยแพร่กระดานข่าว
1.1 7 สิงหาคม 2019 กระดานข่าวสารได้รับการแก้ไขเพื่อรวมลิงก์ AOSP
1.2 12 สิงหาคม 2019 กระดานข่าวสารได้รับการแก้ไขเพื่อรวมประเด็นที่ประกาศในการประชุมด้านความปลอดภัยล่าสุด ซึ่งเป็นส่วนหนึ่งของการเปิดเผยข้อมูลที่ประสานงานกับฝ่ายที่ได้รับผลกระทบ